Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001180KdenliveTransitionspublic2009-10-04 12:492010-02-02 10:38
Reporterjappel 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.6 
Summary0001180: Fading track in / out with composite transition from 0 to 100 slightly moves the track to be blended
Descriptionto reproduce
1. add video clip to your timeline
2. Create a Text-Clip with transparency
3. Add Textclip to timeline and add a composite transition with the video-clip
4. let the composite occopacity start with 0 and set to 100 after a few frames (I tested 10 and 25)

This should produce a smooth blending in of the text, but the text slightly jumps a few pixels aside after the fade in effect finishes.
This also happens with a picture-clip with transparency and while fading out and a text clip without transparency.

the problem was introduced somewhere between

kdenlive-3754
mlt 0.4.4

and now.

Hope its easy to solve, best wishes, J.
Additional Informationrunning
kdenlive-3995
mlt-git 20091004
KDE 4.3.1
qt: 4.5.2

archlinux, 64 bit
TagsNo tags attached.
Build/Install Method(select)
Attached Files? file icon ejemplo.kdenlive [^] (7,057 bytes) 2009-10-05 20:29

- Relationships

-  Notes
(0004066)
rico (reporter)
2009-10-05 15:52

same here. I made scrolling credits (with svg image) at the end of my movie with 3 keyframes.
1st keyframe image down of the viewable area, opacity 0%
2nd keyframe center image opacity 100%
last keyframe image up from the viewable area, opacity 0%

(1)0%------------(2)100%-------------(3)0%

everything scrolls up smoothly, but on the last bit between keframe 2&3 there is a slight side move for no reason. Very anoying on a vertical scroll credit... (i can attach video sample if needed)
(0004070)
j-b-m (administrator)
2009-10-05 19:02

Which video profile are you using? Could you attach a project file showing the issue?
(0004076)
jappel (reporter)
2009-10-05 20:32

When using the standard dv/dvd widescreen pal profile, everything is fine.

When I start with a custom profile, it appears as described. Also, when starting a project with the custom profile, then changing the profile to dv/dvd widescreen pal doesnt fix it.

Profile Settings are:

720x432 px
25 / 1 fps
PAR 1 / 1
DAR 16 / 10
progressiv
(0004086)
j-b-m (administrator)
2009-10-07 22:27

Should be fixed in latest svn (4011). However, you will need to delete the problematic keyframes and recreate the to get rid of the bug.
(0004088)
rico (reporter)
2009-10-07 23:32

i deleted the composite transition and made a new one.

First observation, the width and height of the frame are now consistent through all the keyframes, they used to vary from 1-2 pixels before, so this is good.

Second... if i change the X/Y position of a keyframe, i see the change, but when i do anything else it goes back to 0.
ie. i set Y=480 press OK, on the transition tab i see my frame moved, i go to edit my next keyframe or to anything else.. and the change is lost, if i open "edit keyframe" Y is back to 0, so this is not good...

I hope it's just a dot somewhere you forgot in your update and it's an easy fix...cause it renders composite movements pretty..useless...

opacity setting is working as expected.
(0004089)
j-b-m (administrator)
2009-10-07 23:42

Oups, good that you noticed it... it's always hard to see all side effects of a simple change. Should be ok now (svn rev. 4012)
(0004090)
rico (reporter)
2009-10-08 00:12

I'm a happy user.. no more side kick in my scrolling credits!
thanx j-b-m that solved my problem, if it solves jappels problem as well you can consider this bug fixed

(although the vertical scrolling is not so smooth..but this might be from my settings..)
(0004150)
jappel (reporter)
2009-10-13 09:00

looking great, thank you very much for looking into it.

someone: status --> fixed

- Issue History
Date Modified Username Field Change
2009-10-04 12:49 jappel New Issue
2009-10-04 12:49 jappel Build/Install Method => (select)
2009-10-05 15:52 rico Note Added: 0004066
2009-10-05 19:02 j-b-m Note Added: 0004070
2009-10-05 19:02 j-b-m Status new => feedback
2009-10-05 20:29 jappel File Added: ejemplo.kdenlive
2009-10-05 20:32 jappel Note Added: 0004076
2009-10-07 22:27 j-b-m Note Added: 0004086
2009-10-07 23:32 rico Note Added: 0004088
2009-10-07 23:42 j-b-m Note Added: 0004089
2009-10-08 00:12 rico Note Added: 0004090
2009-10-13 09:00 jappel Note Added: 0004150
2009-10-13 10:44 j-b-m Status feedback => resolved
2009-10-13 10:44 j-b-m Fixed in Version => 0.7.6
2009-10-13 10:44 j-b-m Resolution open => fixed
2009-10-13 10:44 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker